Bug 256215 - graphics/ImageMagick7: remove the dependency on ffmpeg
Summary: graphics/ImageMagick7: remove the dependency on ffmpeg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-28 08:21 UTC by Thierry Thomas
Modified: 2021-06-18 16:51 UTC (History)
10 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
Remove the dependency on ffmpeg (1.03 KB, patch)
2021-05-28 08:21 UTC, Thierry Thomas
no flags Details | Diff
Add FFMPEG option (1.36 KB, patch)
2021-06-03 07:33 UTC, Toshimichi Masubuchi
no flags Details | Diff
graphics/ImageMagick6 version of attachment 225520 (1.57 KB, patch)
2021-06-11 15:50 UTC, gessel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2021-05-28 08:21:51 UTC
Created attachment 225331 [details]
Remove the dependency on ffmpeg

Actually ffmpeg is used for video delegation when it is found, but this is not a real dependency.
Comment 1 AlexG 2021-05-28 09:46:22 UTC
Before ImageMagick7 doesn't have dependency from ffmpeg.

Why in this update added?
Could you please remove this dependency?

(I use exactly for convert images, not for audio/video decoding)

Thanks in advance.
Comment 2 george 2021-05-28 15:00:48 UTC
Thanks for the patch!  I'm glad it was a simple change, as I had visions of having to tweak a configuration script.  The patch works for me!
Comment 3 iron.udjin 2021-05-28 17:01:25 UTC
graphics/ImageMagick7-nox11 usually used on servers for image conversion and now it require a lot of libs for processing video/audio. It's not a good idea.
Please remove ffmpeg dependency or make it optional.

Thanks.
Comment 4 Toshimichi Masubuchi 2021-06-03 07:33:44 UTC
Created attachment 225520 [details]
Add FFMPEG option

Attach a patch that adds the FFMPEG option.
I did a build test on poudriere (amd64).
Comment 5 gessel 2021-06-11 15:50:00 UTC
Created attachment 225740 [details]
graphics/ImageMagick6 version of attachment 225520 [details]

Tested with # portmaster -fr and yielded a successful build without ffmpeg.
Comment 6 gessel 2021-06-11 15:50:53 UTC
Starting with Toshimichi Masubuchi's patch for graphics/ImageMagick7, modified for graphics/ImageMagick6.

-David
Comment 7 Gert Doering 2021-06-15 06:30:33 UTC
Seconded.  Please do not depend on video conversion tools by default (having an option FFMPEG which is off by default is fine)

I wanted to do package ugprades on a server today, and that's what I get in new dependencies

$ SU pkg update ImageMagick7
New packages to be INSTALLED:
        aom: 3.1.1
        argp-standalone: 1.3_4
        dav1d: 0.9.0
        ffmpeg: 4.4_1,1
        lame: 3.100_2
        libass: 0.15.1
        libogg: 1.3.5,4
        libtheora: 1.1.1_7
        libudev-devd: 0.4.2_1
        libv4l: 1.20.0_2
        libva: 2.11.0_1
        libvdpau: 1.4
        libvorbis: 1.3.7_2,3
        libvpx: 1.10.0
        libx264: 0.161.3049
        libzip: 1.7.3
        opus: 1.3.1
        x265: 3.4_1
        xvid: 1.3.7,1

Installed packages to be UPGRADED:
        ImageMagick7: 7.0.10.24_3 -> 7.0.11.12
Comment 8 Gert Doering 2021-06-15 06:30:50 UTC
Seconded.  Please do not depend on video conversion tools by default (having an option FFMPEG which is off by default is fine)

I wanted to do package ugprades on a server today, and that's what I get in new dependencies

$ SU pkg update ImageMagick7
New packages to be INSTALLED:
        aom: 3.1.1
        argp-standalone: 1.3_4
        dav1d: 0.9.0
        ffmpeg: 4.4_1,1
        lame: 3.100_2
        libass: 0.15.1
        libogg: 1.3.5,4
        libtheora: 1.1.1_7
        libudev-devd: 0.4.2_1
        libv4l: 1.20.0_2
        libva: 2.11.0_1
        libvdpau: 1.4
        libvorbis: 1.3.7_2,3
        libvpx: 1.10.0
        libx264: 0.161.3049
        libzip: 1.7.3
        opus: 1.3.1
        x265: 3.4_1
        xvid: 1.3.7,1

Installed packages to be UPGRADED:
        ImageMagick7: 7.0.10.24_3 -> 7.0.11.12
Comment 9 Thierry Thomas freebsd_committer 2021-06-18 15:40:07 UTC
Committed after maintainer’s time-out, thanks for the patches!

Note: patches modified to not enable this option by default, like many people requested.
Comment 10 commit-hook freebsd_committer 2021-06-18 15:40:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=beb4adb31351f1ea43b1aa2e53a6213d16208ce7

commit beb4adb31351f1ea43b1aa2e53a6213d16208ce7
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-06-18 15:29:26 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-06-18 15:39:42 +0000

    graphics/ImageMagick[6-7]: optionize the dependency on ffmpeg

    - Make an option for FFMPEG, and do not enable it by default.

    - Do not bump PORTREVISION: pkg will take care of it, and ports users
      may rebuild it if needed.

    - Note: there is no simple way to deactivate this option when ffmpeg is
      already installed.

    PR:             256215
    Reported by:    Toshimichi Masubuchi (ImageMagick7) and gessel (6)
    Approved by:    maintainer’s time-out

 graphics/ImageMagick6/Makefile | 12 +++++++++---
 graphics/ImageMagick7/Makefile | 11 ++++++++---
 2 files changed, 17 insertions(+), 6 deletions(-)
Comment 11 Toshimichi Masubuchi 2021-06-18 16:51:53 UTC
(In reply to Thierry Thomas from comment #9)

Thank you for your support!